Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162257 - irq stacks not being used for hardirqs
Summary: irq stacks not being used for hardirqs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-01 18:48 UTC by Jason Baron
Modified: 2013-03-06 05:58 UTC (History)
5 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:38:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Jason Baron 2005-07-01 18:48:25 UTC
Description of problem:

Currently, x86 boxes make use of a process's stack for hardirq handling. With 4K
stacks, we should really be using irq stacks which are per cpu


Version-Release number of selected component (if applicable):


How reproducible:

We don't have any specific bugs for this issue. But this is a fundamental
assumption that kernel code relies upon, and is the default setup for 4K stacks
upstream.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 4 Jason Baron 2005-07-06 16:06:20 UTC
*** Bug 162548 has been marked as a duplicate of this bug. ***

Comment 6 craig harmer 2005-07-07 07:56:37 UTC
unfortunately, veritas' vxfs tends to use more stack space than other file
systems on linux.  although we don't have any actual overflow cases in our
limited testing with 4 Kbyte stacks, we think they may well occur at customer
sites.  so this bug is high priority for us.

since the bug report i opened was closed as a dup of this one, so i'd like to
change the priority of this bug to "high".

Comment 12 Red Hat Bugzilla 2005-10-05 13:38:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.